diff --git a/webrtc/build/adb_shell.sh b/webrtc/build/adb_shell.sh
index 0b33d5770..e2d4f9187 100755
--- a/webrtc/build/adb_shell.sh
+++ b/webrtc/build/adb_shell.sh
@@ -15,7 +15,7 @@
 adb_shell () {
   local RET ADB_LOG
   ADB_LOG=$(mktemp "${TMPDIR:-/tmp}/adb-XXXXXXXX")
-  adb "$1" shell "$@" ";" echo \$? | tee "$ADB_LOG"
+  adb "$1" "$2" shell "$3" "$4" ";" echo \$? | tee "$ADB_LOG"
   sed -i -e 's![[:cntrl:]]!!g' "$ADB_LOG"  # Remove \r.
   RET=$(sed -e '$!d' "$ADB_LOG")           # Last line contains status code.
   rm -f "$ADB_LOG"